@import "./../../../../../static/css/variables";

.container-signup {
  background-image: url("./../../../../../static/images/du_back_2000 x 1333.png");
  .wrap-signup-header {
    align-items: center;
    background-color: #faebd7a8;
    padding: 1rem;
    height: min-content;
    span.logo-title {
      font-size: 5rem;
    }
  }
  .wrap-signup-content {
    justify-content: center;
    padding: 12px 1rem;
    max-height: 100% !important;
    height: 100% !important;
    .wrap-login {
      padding: 1rem;
      max-height: 100% !important;
      height: 100% !important;
      width: 640px !important;
      max-width: 92vw !important;
      .login100-form {
        max-height: 100% !important;
        height: 100% !important;
        .login-info {
          min-height: min-content !important;
        }
        .form-signup-inputs {
          width: 100%;
          display: flex;
          justify-content: center;
          flex-wrap: wrap;
          padding-top: .5rem;
          .content-left {
            width: 44%;
            margin: .25rem .75rem;
          }
          .content-right {
            width: 44%;
            margin: .25rem .75rem;
          }
          .sigup-input {
            width: 100%;
            min-width: 100px !important;
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            justify-content: center;
            margin: .5rem 0;
            font-size: $font-main-size;
            .signup-input-label {
              text-align: center;
              margin-left: 1.5rem;
              color: #2a2c2d;
              font-size: $font-main-size;
            }
            .wrap-input100 {
              font-size: $font-main-size;
            }
            .true-validate::after {
              content: "\f269";
              font-family: Material-Design-Iconic-Font;
              font-size: 15px;
              color: #57b846;
              display: -webkit-box;
              display: -webkit-flex;
              display: -moz-box;
              display: -ms-flexbox;
              display: flex;
              align-items: center;
              justify-content: center;
              position: absolute;
              height: 40px !important;
              top: 0px;
              right: 12px;
            }
          }
        }    
      }
    }
    .alert-validate::before {
      min-height: 40px;
    }
    .input100 {
      height: 40px !important;
      font-size: $font-main-size;
    }
    .btn-hide-validate {
      height: 40px !important;
      top: 0px;
      right: 12px;
    }
    .container-login100-form-btn {
      margin-top: 1rem;
    }
    .login100-form-btn {
      font-size: 20px;
    }

    .signup-info {
      // min-height: 24px;
      .txt1 {
        line-height: 1;
      }
    }
  }
}


@media only screen and (max-width: 420px) {
  .container-signup {
    .wrap-signup-header {
      span.logo-title {
        font-size: 3.5rem;
      }
      span.logo-subtitle {
        font-size: 1.5rem;
      }
    }
    .wrap-signup-content {
      .wrap-login {
        padding: 12px 1rem;
      }
      .alert-validate::before {}
      .input100 {}
      .btn-hide-validate {}
      .container-login100-form-btn {}
      .login100-form-btn {}
      .sigup-input {
        max-width: 260px;
        .signup-input-label {}
        .wrap-input100 {}
        .true-validate::after {}
      }
      .signup-info {
        .txt1 {
        }
      }
    }
  }
}
@media only screen and (max-width: 600px) {
  .container-signup {
    .wrap-signup-header {
      span.logo-title {}
    }
    .wrap-signup-content {
      .wrap-login {

        .login100-form {
          .form-signup-inputs {
            flex-direction: column;
            align-items: center;
            .content-left {
              width: 100%;
              margin: 0;
              display: flex;
              flex-direction: column;
              align-items: center;
            }
            .content-right {
              width: 100%;
              margin: 0;
              display: flex;
              flex-direction: column;
              align-items: center;
            }
            .sigup-input {
              .signup-input-label {}
              .wrap-input100 {}
              .true-validate::after {}
            }
          }    
        }


      }
      .alert-validate::before {}
      .input100 {}
      .btn-hide-validate {}
      .container-login100-form-btn {}
      .login100-form-btn {}
      .sigup-input {
        .signup-input-label {}
        .wrap-input100 {}
        .true-validate::after {}
      }
      .signup-info {
        .txt1 {
        }
      }
    }
  }
}
@media only screen and (max-width: 768px) {
  .container-signup {
    .wrap-signup-header {
      span.logo-title {}
    }
    .wrap-signup-content {
      .wrap-login {}
      .alert-validate::before {}
      .input100 {}
      .btn-hide-validate {}
      .container-login100-form-btn {}
      .login100-form-btn {}
      .sigup-input {
        .signup-input-label {}
        .wrap-input100 {}
        .true-validate::after {}
      }
      .signup-info {
        .txt1 {
        }
      }
    }
  }
}
@media only screen and (max-width: 992px) {
  .container-signup {
    .wrap-signup-header {
      span.logo-title {}
    }
    .wrap-signup-content {
      .wrap-login {}
      .alert-validate::before {}
      .input100 {}
      .btn-hide-validate {}
      .container-login100-form-btn {}
      .login100-form-btn {}
      .sigup-input {
        .signup-input-label {}
        .wrap-input100 {}
        .true-validate::after {}
      }
      .signup-info {
        .txt1 {
        }
      }
    }
  }
}
